/* LESSON */
.lesson-container {
	position: relative;
}

.lesson-container .lesson-fly {
	position: fixed;
	top: 60px;
	right: 20px;
	background: #F2F2F2;
	width: 300px;
	padding: 15px;
	border-radius: 5px;
}

.lesson-container .lesson-fly .fly-img {
	width: 100px;
}

.lesson-container .lesson-fly .fly-title a {
	color: #000000;
	font-size: 12px;
	text-decoration: none;
}

.lesson-container .lesson-fly .fly-title a:hover {
	color: #676767;
	text-decoration: none;
}

.lesson-container .lesson-fly .fly-label {
	color: #7f7f7f;
	font-size: 12px;
	margin-top: 10px;
}



/* CONTENT */
.content-wrapper {
	color: #5d5d5d;
	padding-top: 50px;
	padding-bottom: 50px;
	font-family: 'Open Sans', sans-serif;
}

.content-wrapper .content-header .content-info {
	font-style: italic;
}

.content-wrapper .content-body h1,
.content-wrapper .content-header .content-title {
	margin-top: 0px;
	color: #000000;
	font-weight: bold;
	margin-bottom: 40px;
	font-size: 45px;
	font-family: 'Roboto', sans-serif;
}

.content-wrapper .content-body {
	font-family: 'Open Sans', 'Helvetica', 'Arial', sans-serif;
	font-size: 18px;
	line-height: 30px;
	color: #666666;
}

.content-wrapper pre {
	font-size: 15px;
}

.content-wrapper p {
	margin-bottom: 20px;
}

.content-wrapper b, .content-wrapper strong {
	color: #363636;
}

.content-wrapper p a,
.content-wrapper p a:active,
.content-wrapper p a:visited {
	color: #5d5d5d;
	text-decoration: underline;
}

.content-wrapper p a:hover {
	color: #19B5FE;
	text-decoration: underline;
}

.content-wrapper p img {
	max-width: 100%;
	margin-bottom: 0px;
	/*margin-top: -20px;*/
}

.content-wrapper img {
	max-width: 100%;
	margin-bottom: 40px;
	-webkit-box-shadow:rgba(0, 0, 0, 0.04) 3px 3px 10px 2px;
	-moz-box-shadow:rgba(0, 0, 0, 0.04) 3px 3px 10px 2px;
	box-shadow:rgba(0, 0, 0, 0.04) 3px 3px 10px 2px;
} 

.content-wrapper p img + em {
	font-size: 12px;
}

.content-wrapper ul,
.content-wrapper ol,
.content-wrapper pre,
.content-wrapper iframe {
	margin-bottom: 40px;
}

.content-wrapper ul li,
.content-wrapper ol li {
	margin-bottom: 10px;
}

.content-wrapper ul li ul,
.content-wrapper ol li ol,
.content-wrapper ol li ul,
.content-wrapper ul li ol{
	margin-top: 10px;
	margin-bottom: 20px;
}

.content-wrapper p + ul,
.content-wrapper p + ol,
.content-wrapper p + pre,
.content-wrapper p + div.output,
.content-wrapper p + div.preview,
.content-wrapper p + iframe,
.content-wrapper p + table {
	/*margin-top: -20px;*/
	margin-bottom: 20px;
}

/*.content-wrapper ul li p,
.content-wrapper ol li p {
	margin-bottom: 0px;
}
*/

.content-wrapper .output,
.content-wrapper .preview {
	border: 1px solid #a3a3a3;
	border-top: 3px solid #1E824C;
	padding: 20px 10px;
	position: relative;
}


.content-wrapper .output::after,
.content-wrapper .preview::after {
	content: "OUTPUT";
	background: #1E824C;
	position: absolute;
	top: 0px;
	right: 0px;
	padding: 0px 5px;
	font-size: 10px;
	line-height: 15px;
	color: #ffffff;
	font-family: 'Open Sans', sans-serif;
}

/*
.content-wrapper p code,
.content-wrapper li code,
.content-wrapper td code {
	background: #F1F1F1;
	color: #f92672;
	text-shadow: none;
	font-size: 80%;
}
.content-wrapper p code .token,
.content-wrapper li code .token,
.content-wrapper td code .token {
	color: #f92672;
	text-shadow: none;
}
*/

.content-wrapper h2, 
.content-wrapper h3 {
	font-family: 'Open Sans', sans-serif;
	font-weight: 600;
	color: #000000;
	padding-top: 50px;
	margin-top: 0px;
	margin-bottom: 20px;
	font-size: 32px;
}
.content-wrapper h2 {
	font-size: 40px;
	margin-bottom: 30px;
}

/* LESSON SIDEBAR */
/*!
 * Start Bootstrap - Simple Sidebar (https://startbootstrap.com/template-overviews/simple-sidebar)
 * Copyright 2013-2017 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/startbootstrap-simple-sidebar/blob/master/LICENSE)
 */

 body {
 	overflow-x: hidden;
 }

 #wrapper {
 	-webkit-transition: all 0.5s ease;
 	-moz-transition: all 0.5s ease;
 	-o-transition: all 0.5s ease;
 	transition: all 0.5s ease;
 	
 	position: fixed;
 	left: -270px;
 	z-index: 1000;
    height: 100%;
 }

 #wrapper.toggled {
 	left: 0;
 }

 #sidebar-wrapper {
 	width: 270px;
 	z-index: 1000;
 	position: relative;
 	height: 100%;
 	overflow-y: auto;
 	overflow-x: hidden; 
 	background: #fdfdff;
 	-webkit-transition: all 0.5s ease;
 	-moz-transition: all 0.5s ease;
 	-o-transition: all 0.5s ease;
 	transition: all 0.5s ease;
 }

 /* Sidebar Styles */
 .sidebar-nav {
 	width: 100%;
 	margin: 0;
 	padding: 20px 0;
 	list-style: none;
 }

 .sidebar-nav li {
 	line-height: 20px;
 	padding: 0 0 0 20px;
 	font-weight: bold;
 	color: #888;
 }
 .sidebar-nav li label {
 	display: block;
 	padding: 10px 20px 10px 0;
 	margin: 10px 0 0 0;
 	font-size: 18px;
 }
 .sidebar-nav li li {
 	padding: 0;
 }

 .sidebar-nav li a {
 	display: block;
 	text-decoration: none;
 	color: #666;
 	font-weight: normal;
 	padding: 5px 20px 5px 10px;
 }
 .sidebar-nav li a.active {
	background-color: #b4c308;
	color:white;
 }

 .sidebar-nav li a:hover {
 	text-decoration: none;
 	color: #222;
 	background-color: #ddd;
 }

 .sidebar-nav li a:active, .sidebar-nav li a:focus {
 	text-decoration: none;
 }

 .sidebar-nav>.sidebar-brand {
 	height: 65px;
 	font-size: 18px;
 	line-height: 60px;
 }

 .sidebar-nav>.sidebar-brand a {
 	color: #999999;
 }

 .sidebar-nav>.sidebar-brand a:hover {
 	color: #fff;
 	background: none;
 }

 #menu-toggle {
 	position: absolute;
 	right: -50px;
 }
/*
 @media(min-width:768px) {
 	#wrapper {
 		padding-left: 0;
 	}
 	#wrapper.toggled {
 		padding-left: 270px;
 	}
 	#sidebar-wrapper {
 		width: 0;
 	}
 	#wrapper.toggled #sidebar-wrapper {
 		width: 270px;
 	}
 	#page-content-wrapper {
 		padding: 20px;
 		position: relative;
 	}
 	#wrapper.toggled #page-content-wrapper {
 		position: relative;
 		margin-right: 0;
 	}
 }*/

.lesson-container th, 
.lesson-container td {
	border: 1px solid;
	padding: 2px 10px;
}

.lesson-container table {
	margin-bottom: 20px;
}

.lesson-container h2 {
	line-height: 1.2em;
}
